Intermittent failure in browser_bug380960.js | tab removed after at most 1750 ms - Got [object XULElement], expected null followed by a "Found an unexpected tab" OR got the close event syncronously

RESOLVED FIXED in Firefox 32

Status

()

defect
RESOLVED FIXED
9 years ago
5 years ago

People

(Reporter: philor, Assigned: dao)

Tracking

({intermittent-failure})

Trunk
Firefox 32
All
macOS
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox30 wontfix, firefox31 wontfix, firefox32 fixed, firefox-esr24 wontfix)

Details

(Whiteboard: [test disabled])

Attachments

(1 attachment, 1 obsolete attachment)

Reporter

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281196786.1281199596.6345.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test mochitest-other on 2010/08/07 08:59:46
s: talos-r3-snow-014

TEST-PASS | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | tab still exists when it's about to be removed asynchronously
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | tab removed after at most 750 ms - Got [object XULElement], expected null
TEST-INFO | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | closing tab by clicking the tab close button
TEST-PASS | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | got the close event syncronously
TEST-PASS | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | tab still exists when it's about to be removed asynchronously
TEST-PASS | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | tab removed after at most 750 ms
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | Found an unexpected tab at the end of test run: about:blank
(ad infinitum, until "Output exceeded 52428800 bytes, remaining output has been truncated")
Assignee

Comment 3

9 years ago
It's actually only one tab that browser-test.js fails to remove, so it loops infinitely.
Assignee: nobody → dao
Assignee

Comment 6

9 years ago
Attachment #463890 - Flags: review?(gavin.sharp)
Reporter

Comment 8

9 years ago
1000ms didn't do it.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281285154.1281291495.19422.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/08/08 09:32:34
s: talos-r3-leopard-029

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | tab removed after at most 1000 ms - Got [object XULElement @ 0xe2a7b70 (native @ 0xdd86470)], expected null
Reporter

Comment 14

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281305663.1281307618.23961.gz
Rev3 WINNT 6.1 mozilla-central opt test mochitest-other on 2010/08/08 15:14:23
s: talos-r3-w7-005

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | tab removed after at most 1250 ms - Got [object XULElement], expected null

(note that that's Win7, hidden on mozilla-central for other failures)
Reporter

Comment 16

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281389987.1281394847.21046.gz
Summary: Intermittent failure in browser_bug380960.js | tab removed after at most 750 ms - Got [object XULElement], expected null followed by enough "Found an unexpected tab" messages to destroy tbpl and all who look at it → Intermittent failure in browser_bug380960.js | tab removed after at most 1750 ms - Got [object XULElement], expected null followed by enough "Found an unexpected tab" messages to destroy tbpl and all who look at it
Reporter

Comment 19

9 years ago
Given the fragile state of tinderbox right now, I would very strongly recommend disabling this test until it can fail in a reasonable way, without the thousands of TEST-UNEXPECTED-FAILs.
Assignee

Comment 21

9 years ago
temporary fix for the infinite loop: http://hg.mozilla.org/mozilla-central/rev/827919491123
Assignee

Comment 22

9 years ago
Attachment #463890 - Attachment is obsolete: true
Attachment #464361 - Flags: review?(gavin.sharp)
Attachment #463890 - Flags: review?(gavin.sharp)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Reporter

Comment 25

9 years ago
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281470887.1281471750.23958.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test mochitest-other on 2010/08/10 13:08:07

s: talos-r3-leopard-038
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | tab removed after at most 1750 ms - Got [object XULElement], expected null
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | Found an unexpected tab at the end of test run: about:blank
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment on attachment 464361 [details] [diff] [review]
proper fix for the infinite loop (checked in)

>diff --git a/browser/base/content/tabbrowser.xml b/browser/base/content/tabbrowser.xml

>-         tabs.tabbrowser._removingTabs.forEach(tabs.tabbrowser._endRemoveTab,
>+         tabs.tabbrowser._removingTabs.forEach(tabs.tabbrowser.removeTab,

Why this change?
Attachment #464361 - Flags: review?(gavin.sharp) → review+
Assignee

Comment 30

9 years ago
(In reply to comment #29)
> >diff --git a/browser/base/content/tabbrowser.xml b/browser/base/content/tabbrowser.xml
> 
> >-         tabs.tabbrowser._removingTabs.forEach(tabs.tabbrowser._endRemoveTab,
> >+         tabs.tabbrowser._removingTabs.forEach(tabs.tabbrowser.removeTab,
> 
> Why this change?

It's not necessary. It just makes this code use the "official" API.
Assignee

Updated

9 years ago
Attachment #464361 - Flags: approval2.0?
Comment hidden (Legacy TBPL/Treeherder Robot)
Attachment #464361 - Flags: approval2.0? → approval2.0+
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Assignee

Comment 39

9 years ago
Comment on attachment 464361 [details] [diff] [review]
proper fix for the infinite loop (checked in)

http://hg.mozilla.org/mozilla-central/rev/ab563b970b39
Attachment #464361 - Attachment description: proper fix for the infinite loop → proper fix for the infinite loop (checked in)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Reporter

Updated

9 years ago
Summary: Intermittent failure in browser_bug380960.js | tab removed after at most 1750 ms - Got [object XULElement], expected null followed by enough "Found an unexpected tab" messages to destroy tbpl and all who look at it → Intermittent failure in browser_bug380960.js | tab removed after at most 1750 ms - Got [object XULElement], expected null followed by a "Found an unexpected tab"
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Reporter

Comment 127

9 years ago
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1282267746.1282269437.9901.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/08/19 18:29:06

s: talos-r3-snow-055
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | tab removed after at most 1750 ms - Got [object XULElement @ 0x110c5e100 (native @ 0x1108debe0)], expected null
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug380960.js | Found an unexpected tab at the end of test run: about:blank
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Reporter

Comment 134

9 years ago
And note that comment 133 was from after db6e503fec9f which fixed that happening every time.
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Summary: Intermittent failure in browser_bug380960.js | tab removed after at most 1750 ms - Got [object XULElement], expected null followed by a "Found an unexpected tab" → Intermittent failure in browser_bug380960.js | tab removed after at most 1750 ms - Got [object XULElement], expected null followed by a "Found an unexpected tab" OR got the close event syncronously
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Assignee

Comment 238

9 years ago
http://hg.mozilla.org/mozilla-central/rev/7b3f0b986a98
Whiteboard: [orange] → [orange][test disabled]
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Whiteboard: [orange][test disabled] → [orange][test disabled][approved-patches-landed]

Updated

8 years ago
Whiteboard: [orange][test disabled][approved-patches-landed] → [orange][test disabled][approved-patches-landed][not-ready]
Assignee

Updated

8 years ago
Whiteboard: [orange][test disabled][approved-patches-landed][not-ready] → [orange][test disabled]
Whiteboard: [orange][test disabled] → [test disabled]
Assignee

Comment 248

5 years ago
We can close this bug. Not going to try to resurrect the parts of this test that have been disabled years ago.

https://hg.mozilla.org/integration/fx-team/rev/570abf3f7383
https://hg.mozilla.org/mozilla-central/rev/570abf3f7383
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 32
You need to log in before you can comment on or make changes to this bug.